
//  AlertboxViewController.m
//  Alertbox
//
//  Created by willie shi on 4/15/13.
//  Copyright (c) 2013 8land games studio. All rights reserved.
//

#import "AlertboxViewController.h"

@interface AlertboxViewController ()
@property (weak, nonatomic) IBOutlet UIWebView *webView;
@property (strong, nonatomic) IBOutlet UIView *image_container;
@end

@implementation AlertboxViewController


NSString *const BG = @"img_AlertBox.png"; // replace my image with yours, you are also need to modify CGRectMake(location.x,location.y,width,height); CGRectMake(0,0,width,height) mean uper left corner.
NSString *const YBTN = @"yes_btn.png";     // replace my image with yours
NSString *const NBTN = @"no_btn.png";      // replace my image with yours

// Touch YES Button do upgrade or whatever you want to show here
-(void)yesTouched{
    NSLog(@"YES Button touched!"); // comment it out when in use.
    [_webView loadRequest:[NSURLRequest requestWithURL:[NSURL URLWithString:@"http://itunes.apple.com/us/app/chess-2/id412758399?mt=8"]]]; // replace this URL with yours. You are welcome to use mine :-)
}

// Touch NO Button close window
-(void)noTouched{
    NSLog(@"NO button touched!"); // comment it out when in use.
    [UIView animateWithDuration:0.5
                     animations:^{
                         _image_container.alpha = 0;
                     }
                     completion:^(BOOL finished){
                         [_image_container removeFromSuperview];
                     }];
}

// call this method from anywhere to pop the alertbox
-(void)imageAlertView{
    // setting imageView background
    UIImage *image = [UIImage imageNamed:BG];
    UIImageView *iv = [[UIImageView alloc] initWithImage:image];
    //  self.iv.size = image.size;
    
    // image YES Button
    UIImage *imageYes = [UIImage imageNamed:YBTN];
    UIImageView *iyes = [[UIImageView alloc] initWithImage:imageYes];
    
    // image NO Button
    UIImage *imageNo = [UIImage imageNamed:NBTN];
    UIImageView *ino = [[UIImageView alloc] initWithImage:imageNo];
    
    
    // setup UIView layer for image background
    UIView *imageBg = [[UIView alloc] initWithFrame:CGRectMake(20, 20, 200, 100)]; // (location.x, location.y, width, height), change to the size and location where you want it.
    imageBg.backgroundColor = [UIColor clearColor];
    
    // setup UIView layer for image YES button
    UIView *yesLayer = [[UIView alloc] initWithFrame:CGRectMake(135, 60, 68, 38)]; // (location.x, location.y, width, height), change to the size and location where you want it.
    yesLayer.backgroundColor = [UIColor clearColor];
    
    // setup UIView layer for image YES button
    UIView *noLayer = [[UIView alloc] initWithFrame:CGRectMake(32, 60, 68, 38)]; // (location.x, location.y, width, height), change to the size and location where you want it.
    noLayer.backgroundColor = [UIColor clearColor];
    
    // create entire imageView container
    _image_container = [[UIView alloc] initWithFrame:CGRectMake(20, 20, 200, 100)]; // (location.x, location.y, width, height), change to the size and location where you want it.
    _image_container.backgroundColor = [UIColor clearColor];
    
    // adding layers to View
    [imageBg addSubview:iv];
    [yesLayer addSubview:iyes];
    [noLayer addSubview:ino];
    
    [_image_container insertSubview:imageBg atIndex:1];
    [_image_container insertSubview:yesLayer atIndex:1];
    [_image_container insertSubview:noLayer atIndex:1];
    [self.view addSubview:_image_container];
    
    // touch YES button Gesture
    UITapGestureRecognizer *yesTap = [[UITapGestureRecognizer alloc]
                                      initWithTarget:self
                                      action:@selector(yesTouched)];
    yesTap.numberOfTapsRequired = 1;
    [yesLayer addGestureRecognizer:yesTap];
    
    // touch YES button Gesture
    UITapGestureRecognizer *noTap = [[UITapGestureRecognizer alloc]
                                     initWithTarget:self
                                     action:@selector(noTouched)];
    noTap.numberOfTapsRequired = 1;
    [noLayer addGestureRecognizer:noTap];
    
    
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	[self imageAlertView]; // call this method anywhere you want to pop the alert box
}


- (IBAction)showAlertBox:(UIButton *)sender {
    if (!_image_container.window) {
        [self imageAlertView];
    }
}

@end
